Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.record
Class HeadersFootersContainer

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordContainer
              org.apache.poi.hslf.record.HeadersFootersContainer

    public final class HeadersFootersContainer

extends RecordContainer

A container record that specifies information about the footers on a presentation slide.

It contains:

- 1. `HeadersFootersAtom`
- 2. `CString`, Instance UserDate (0), optional: Stores the user's date. This is the date that the user wants in the footers, instead of today's date.
- 3. `CString`, Instance Header (1), optional: Stores the Header's contents.
- 4. `CString`, Instance Footer (2), optional: Stores the Footer's contents.

  Author:
    Yegor Kozlov

  Field Summary
  `static int` | `FOOTERATOM`
  `static int` | `HEADERATOM`
  `static short` | `NotesHeadersFootersContainer` "instance" field in the record header indicating that this HeadersFootersContaine is applied for notes and handouts
  `static short` | `SlideHeadersFootersContainer` "instance" field in the record header indicating that this HeadersFootersContaine is applied for slides
  `static int` | `USERDATEATOM`

  Constructor Summary
  `HeadersFootersContainer(short options)`

  Method Summary
  `CString` | `addFooterAtom()` Insert a `CString` record that stores the user's date.
  `CString` | `addHeaderAtom()` Insert a `CString` record that stores the user's date.
  `CString` | `addUserDateAtom()` Insert a `CString` record that stores the user's date.
  `CString` | `getFooterAtom()` A `CString` record that stores the Footers's contents.
  `CString` | `getHeaderAtom()` A `CString` record that stores the Header's contents.
  `HeadersFootersAtom` | `getHeadersFootersAtom()` HeadersFootersAtom stores the basic information of the header and footer structure.
  `int` | `getOptions()` Must be either `SlideHeadersFootersContainer` or `NotesHeadersFootersContainer`
  `long` | `getRecordType()` Return the type, which is ``RecordTypes.HeadersFooters``
  `CString` | `getUserDateAtom()` A `CString` record that stores the user's date.
  `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

  Methods inherited from class org.apache.poi.hslf.record.RecordContainer
  `addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

  Methods inherited from class org.apache.poi.hslf.record.Record
  `buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

  Methods inherited from class java.lang.Object
  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### SlideHeadersFootersContainer

      public static final short SlideHeadersFootersContainer

    "instance" field in the record header indicating that this HeadersFootersContaine is applied for slides

    See Also:
      Constant Field Values

  ### NotesHeadersFootersContainer

      public static final short NotesHeadersFootersContainer

    "instance" field in the record header indicating that this HeadersFootersContaine is applied for notes and handouts

    See Also:
      Constant Field Values

  ### USERDATEATOM

      public static final int USERDATEATOM

  See Also:
    Constant Field Values

  ### HEADERATOM

      public static final int HEADERATOM

  See Also:
    Constant Field Values

  ### FOOTERATOM

      public static final int FOOTERATOM

  See Also:
    Constant Field Values

  Constructor Detail

  ### HeadersFootersContainer

      public HeadersFootersContainer(short options)

  Method Detail

  ### getRecordType

      public long getRecordType()

    Return the type, which is ``RecordTypes.HeadersFooters``

    Specified by:
      `getRecordType` in class `Record`

  ### getOptions

      public int getOptions()

    Must be either `SlideHeadersFootersContainer` or `NotesHeadersFootersContainer`

    Returns:
      "instance" field in the record header

  ### writeOut

      public void writeOut(java.io.OutputStream out)
                    throws java.io.IOException

    Write the contents of the record back, so it can be written to disk

    Specified by:
      `writeOut` in class `Record`
    Throws:
      `java.io.IOException`

  ### getHeadersFootersAtom

      public HeadersFootersAtom getHeadersFootersAtom()

    HeadersFootersAtom stores the basic information of the header and footer structure.

    Returns:
      `HeadersFootersAtom`

  ### getUserDateAtom

      public CString getUserDateAtom()

    A `CString` record that stores the user's date.

    This is the date that the user wants in the footers, instead of today's date.

    Returns:
      A `CString` record that stores the user's date or `null`

  ### getHeaderAtom

      public CString getHeaderAtom()

    A `CString` record that stores the Header's contents.

    Returns:
      A `CString` record that stores the Header's contents or `null`

  ### getFooterAtom

      public CString getFooterAtom()

    A `CString` record that stores the Footers's contents.

    Returns:
      A `CString` record that stores the Footers's contents or `null`

  ### addUserDateAtom

      public CString addUserDateAtom()

    Insert a `CString` record that stores the user's date.

    Returns:
      the created `CString` record that stores the user's date.

  ### addHeaderAtom

      public CString addHeaderAtom()

    Insert a `CString` record that stores the user's date.

    Returns:
      the created `CString` record that stores the user's date.

  ### addFooterAtom

      public CString addFooterAtom()

    Insert a `CString` record that stores the user's date.

    Returns:
      the created `CString` record that stores the user's date.

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD